%global momorel 1
%global date 20090629
%global patchdate 18.12.08
%global qtver 3.3.7
%global kdever 3.5.9
%global kdelibsrel 4m
%global kdebaserel 8m
%global qtdir %{_libdir}/qt3
%global kdedir /usr
%global enable_gcc_check_and_hidden_visibility 0

Summary: KDE applet for Network Manager
Name: knetworkmanager
Version: 0.7
Release: 0.%{date}.%{momorel}m%{?dist}
License: GPLv2
URL: http://en.opensuse.org/Projects/KNetworkManager
Group: Applications/Internet
Source0: %{name}-%{version}.tar.bz2
Patch0: %{name}-%{version}-%{patchdate}-automake111.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: kdelibs3 >= %{kdever}-%{kdelibsrel}
Requires: NetworkManager
BuildPreReq: qt3-devel >= %{qtver}
BuildPreReq: kdelibs3-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: NetworkManager-devel >= 0.7.0
BuildPreReq: autoconf
BuildPreReq: automake
BuildPreReq: dbus-devel
BuildPreReq: dbus-qt-devel
BuildPreReq: dbus-qt3-devel >= 0.9.0
BuildPreReq: desktop-file-utils
BuildPreReq: hal-devel
BuildPreReq: libnl-devel
BuildPreReq: libtool
BuildPreReq: wireless-tools

%description
KNetworkManager is a system tray applet for controlling network
connections on systems that use the NetworkManager daemon.

%prep
%setup -q

%patch0 -p1 -b .automake111

make -f admin/Makefile.common cvs

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

# -I`pwd`/src was 20081218 dirty hack
CFLAGS="%{optflags} -I`pwd`/src" \
CXXFLAGS="%{optflags} -I`pwd`/src" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--includedir=%{_includedir}/kde \
	--with-qt-libraries=%{qtdir}/lib \
	--with-extra-includes=%{_includedir}/kde \
	--with-extra-libs=%{_libdir}/kde3 \
	--with-dbus-sys=%{_sysconfdir}/dbus-1/system.d \
	--with-openvpn \
	--with-vpnc \
	--with-pptp \
	--enable-new-ldflags \
%if %{enable_gcc_check_and_hidden_visibility}
	--enable-gcc-hidden-visibility \
%endif
	--disable-debug \
	--disable-warnings \
	--disable-rpath

# make -j8 fail (0.7-0.20080801-1m)
# make %%{?_smp_mflags}
make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# GNOME desktop beautification (requires "Icon=name.png" fix in setup section)
mkdir -p %{buildroot}%{_datadir}/pixmaps
ln -s ../icons/crystalsvg/48x48/apps/knetworkmanager.png %{buildroot}%{_datadir}/pixmaps/knetworkmanager.png

# install desktop file
desktop-file-install --vendor= --delete-original \
  --dir %{buildroot}%{_datadir}/applications/kde \
  --remove-category Applet \
  %{buildroot}%{_datadir}/applications/kde/knetworkmanager.desktop

# install knetworkmanager-autostart.desktop
mkdir -p %{buildroot}%{_datadir}/autostart
install -m 644 %{buildroot}%{_datadir}/applications/kde/%{name}.desktop %{buildroot}%{_datadir}/autostart/%{name}-autostart.desktop

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
%config(noreplace) %{_sysconfdir}/dbus-1/system.d/knetworkmanager.conf
%{_bindir}/knetworkmanager
%{_includedir}/kde/knetworkmanager-*.h
%{_libdir}/kde3/knetworkmanager*.la
%{_libdir}/kde3/knetworkmanager*.so*
%{_libdir}/libkdeinit_knetworkmanager.la
%{_libdir}/libkdeinit_knetworkmanager.so
%{_datadir}/applications/kde/knetworkmanager.desktop
%{_datadir}/apps/knetworkmanager
%{_datadir}/autostart/knetworkmanager-autostart.desktop
%{_datadir}/icons/*/*/*/knetworkmanager*.png
%{_datadir}/locale/*/LC_MESSAGES/knetworkmanager.mo
%{_datadir}/pixmaps/knetworkmanager.png
%{_datadir}/services/knetworkmanager_*vpn*.desktop
%{_datadir}/servicetypes/knetworkmanager_*plugin.desktop

%changelog
* Mon Jun 29 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7-0.20090629.1m)
- update to 20090629 svn snapshot

* Wed May 20 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7-0.20081218.3m)
- fix build with new automake

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.7-0.20081218.2m)
- rebuild against rpm-4.6

* Thu Jan  8 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.7-0.20081218.1m)
- update to 20081218 svn snapshot

* Fri Aug  1 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7-0.20080801.1m)
- update to 20080801 svn snapshot
- disable parallel make

* Mon Jun 23 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7-0.20080530.2m)
- update translations

* Fri May 30 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7-0.20080530.1m)
- update to 20080530 svn snapshot
- back from the living to trunk, GJ

* Sat May 17 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7-0.20080517.1m)
- update to 20080517 svn snapshot

* Sat May 10 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7-0.20080510.1m)
- update to 20080510 svn snapshot

* Thu May  8 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.2-5m)
- rebuild against qt3

* Tue May  6 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7-0.20080506.1m)
- update to 20080506 svn snapshot

* Tue Apr 29 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7-0.20080429.1m)
- update to 20080429 svn snapshot

* Thu Apr 17 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7-0.20080417.1m)
- update to 20080417 svn snapshot

* Wed Apr  9 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7-0.20080409.1m)
- update to 20080409 svn snapshot

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.2-4m)
- rebuild against gcc43

* Mon Mar 24 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7-0.20080324.1m)
- update to 20080324 svn snapshot

* Sun Mar 16 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7-0.20080316.1m)
- update to 20080316 svn snapshot

* Wed Mar  5 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7-0.20080305.1m)
- update to 20080305 svn snapshot

* Mon Feb 25 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7-0.20080225.1m)
- update to 20080225 svn snapshot

* Thu Feb 21 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7-0.20080221.1m)
- update to 20080221 svn snapshot

* Tue Feb 19 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7-0.20080219.1m)
- update to 20080219 svn snapshot

* Thu Feb 14 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7-0.20080214.1m)
- update to 20080214 svn snapshot

* Thu Feb 14 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.2-3m)
- %%NoSource -> NoSource

* Sun Oct 28 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2-2m)
- fix autostart issue

* Tue Jul 24 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2-1m)
- version 0.2
- enable VPN support

* Thu May  3 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1-0.20070310.2m)
- change "Categories" of knetworkmanager.desktop from "System" to "Network"

* Sat Mar 10 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1-0.20070310.1m)
- initial package for Momonga Linux
